export default {
    data() {
        return {
            statusBarHeight: 20, // 默认状态栏高度
        }
    },
    onLoad() {
        // 获取系统信息适配刘海屏/状态栏
        const sysInfo = uni.getSystemInfoSync();
        this.statusBarHeight = sysInfo.statusBarHeight || 20;
    },
    methods: {
        goBack() {
            const pages = getCurrentPages();
            if (pages.length > 1) {
                uni.navigateBack();
            } else {
                uni.reLaunch({
                    url: '/pages/login/login'
                });
            }
        },
        goToForm() {
            uni.navigateTo({
                url: '/pages/recruit/form'
            });
        }
    }
}
